package javax.swing;

import java.awt.Color;
import java.awt.image.RGBImageFilter;

class DebugGraphicsFilter extends RGBImageFilter
{
    Color color;
    
    DebugGraphicsFilter(Color color) {
        this.canFilterIndexColorModel = true;
        this.color = color;
    }
    
    @Override
    public int filterRGB(int n, int n2, int n3) {
        return this.color.getRGB() | (n3 & 0xFF000000);
    }
}
